plugins {
    id("org.jetbrains.kotlin.multiplatform")
    id("com.android.library")
}

kotlin {
    jvmToolchain(17)
    androidTarget()
    iosArm64()
    iosSimulatorArm64()
    iosX64()
    ohosArm64()

    sourceSets {
        val commonMain by getting
    }
}

android {
    namespace = "com.example.base"
    compileSdk = 34
    defaultConfig { minSdk = 24 }
}
